### Hierarchy

- unknown
  - DelayedPayoutTxSignatureResponse

## Index

### Constructors

- constructor

### Methods

- clearSenderNodeAddress
- getDelayedPayoutTxBuyerSignature
- getDelayedPayoutTxBuyerSignature_asB64
- getDelayedPayoutTxBuyerSignature_asU8
- getDepositTx
- getDepositTx_asB64
- getDepositTx_asU8
- getSenderNodeAddress
- getTradeId
- getUid
- hasSenderNodeAddress
- serializeBinary
- setDelayedPayoutTxBuyerSignature
- setDepositTx
- setSenderNodeAddress
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new DelayedPayoutTxSignatureResponse(): DelayedPayoutTxSignatureResponse

- Inherited from jspb.Message.constructor

  #### Returns DelayedPayoutTxSignatureResponse

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): DelayedPayoutTxSignatureResponse

- - Defined in src/protobuf/pb_pb.d.ts:1689

  #### Returns DelayedPayoutTxSignatureResponse

### getDelayedPayoutTxBuyerSignature

- getDelayedPayoutTxBuyerSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1691

  #### Returns string | Uint8Array

### getDelayedPayoutTxBuyerSignature_asB64

- getDelayedPayoutTxBuyerSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1693

  #### Returns string

### getDelayedPayoutTxBuyerSignature_asU8

- getDelayedPayoutTxBuyerSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1692

  #### Returns Uint8Array

### getDepositTx

- getDepositTx(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1696

  #### Returns string | Uint8Array

### getDepositTx_asB64

- getDepositTx_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1698

  #### Returns string

### getDepositTx_asU8

- getDepositTx_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1697

  #### Returns Uint8Array

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1686

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1683

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1680

  #### Returns string

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1688

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1701

  #### Returns Uint8Array

### setDelayedPayoutTxBuyerSignature

- setDelayedPayoutTxBuyerSignature(value: string | Uint8Array): DelayedPayoutTxSignatureResponse

- - Defined in src/protobuf/pb_pb.d.ts:1694

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DelayedPayoutTxSignatureResponse

### setDepositTx

- setDepositTx(value: string | Uint8Array): DelayedPayoutTxSignatureResponse

- - Defined in src/protobuf/pb_pb.d.ts:1699

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DelayedPayoutTxSignatureResponse

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): DelayedPayoutTxSignatureResponse

- - Defined in src/protobuf/pb_pb.d.ts:1687

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns DelayedPayoutTxSignatureResponse

### setTradeId

- setTradeId(value: string): DelayedPayoutTxSignatureResponse

- - Defined in src/protobuf/pb_pb.d.ts:1684

  #### Parameters

  - ##### value: string

  #### Returns DelayedPayoutTxSignatureResponse

### setUid

- setUid(value: string): DelayedPayoutTxSignatureResponse

- - Defined in src/protobuf/pb_pb.d.ts:1681

  #### Parameters

  - ##### value: string

  #### Returns DelayedPayoutTxSignatureResponse

### toObject

- toObject(includeInstance?: boolean): DelayedPayoutTxSignatureResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1702

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns DelayedPayoutTxSignatureResponse . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): DelayedPayoutTxSignatureResponse

- - Defined in src/protobuf/pb_pb.d.ts:1705

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DelayedPayoutTxSignatureResponse

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DelayedPayoutTxSignatureResponse, reader: BinaryReader): DelayedPayoutTxSignatureResponse

- - Defined in src/protobuf/pb_pb.d.ts:1706

  #### Parameters

  - ##### message: DelayedPayoutTxSignatureResponse

  - ##### reader: BinaryReader

  #### Returns DelayedPayoutTxSignatureResponse

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: DelayedPayoutTxSignatureResponse, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1704

  #### Parameters

  - ##### message: DelayedPayoutTxSignatureResponse

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: DelayedPayoutTxSignatureResponse ): DelayedPayoutTxSignatureResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1703

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DelayedPayoutTxSignatureResponse

  #### Returns DelayedPayoutTxSignatureResponse . AsObject

Generated using TypeDoc